unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Menus, ComCtrls,
  frxClass, frxPreview, frxDesgn;

type

  { TForm1 }

  TForm1 = class(TForm)
    AboutFastReportMI: TMenuItem;
    AlignmentPaletteMI: TMenuItem;
    BringtoFrontMI: TMenuItem;
    CopyMI: TMenuItem;
    CutMI: TMenuItem;
    DataMI: TMenuItem;
    DataTreeMI: TMenuItem;
    AutoGuidesMI: TMenuItem;
    DeleteMI: TMenuItem;
    DeletePageMI: TMenuItem;
    DesignerSheet: TTabSheet;
    Edit1: TMenuItem;
    EditMI: TMenuItem;
    ExitMI: TMenuItem;
    File1: TMenuItem;
    FindMI: TMenuItem;
    FindNextMI: TMenuItem;
    FrameMI: TMenuItem;
    frxDesigner1: TfrxDesigner;
    frxPreview1: TfrxPreview;
    frxReport1: TfrxReport;
    GroupMI: TMenuItem;
    GuidesMI: TMenuItem;
    Help1: TMenuItem;
    HelpContentsMI: TMenuItem;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    NewDialogMI: TMenuItem;
    NewMI: TMenuItem;
    NewPageMI: TMenuItem;
    NewReportMI: TMenuItem;
    ObjectInspectorMI: TMenuItem;
    OpenMI: TMenuItem;
    OptionsMI: TMenuItem;
    PageControl1: TPageControl;
    PagesettingsMI: TMenuItem;
    PasteMI: TMenuItem;
    PreviewMI: TMenuItem;
    PreviewSheet: TTabSheet;
    RedoMI: TMenuItem;
    ReplaceMI: TMenuItem;
    Report1: TMenuItem;
    ReportOptionsMI: TMenuItem;
    ReportTreeMI: TMenuItem;
    RulersMI: TMenuItem;
    SaveasMI: TMenuItem;
    SaveMI: TMenuItem;
    SelectAllMI: TMenuItem;
    SendtoBackMI: TMenuItem;
    StandardMI: TMenuItem;
    StylesMI: TMenuItem;
    TextMI: TMenuItem;
    ToolbarsMI: TMenuItem;
    UndoMI: TMenuItem;
    UngroupMI: TMenuItem;
    VariablesMI: TMenuItem;
    View1: TMenuItem;
    procedure ExitMIClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure PageControl1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses frxRes;

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
var
  frxDesigner: TfrxDesignerForm;
begin
  {$IFDEF Linux}
  frxReport1.IniFile := 'tmp/fr6.ini';
  {$ELSE}
  frxReport1.IniFile := '\SoftWare\Fast Reports';
  {$ENDIF}
  // prevent saving/restoring a report when previewing. This will destroy
  // objects that are loaded in the designer and will lead to AV.
  frxReport1.EngineOptions.DestroyForms := False;
  // set the custom preview
  frxReport1.Preview := frxPreview1;
  // display the designer
  frxReport1.DesignReportInPanel(DesignerSheet);

  // set FR images for our menu
  MainMenu1.Images := frxResources.MainButtonImages;
  // get the reference to the Designer
  frxDesigner := TfrxDesignerForm(frxReport1.Designer);

  // assign FR actions to our menu items
  NewMI.Action := frxDesigner.NewItemCmd;
  NewReportMI.Action := frxDesigner.NewReportCmd;
  NewPageMI.Action := frxDesigner.NewPageCmd;
  NewDialogMI.Action := frxDesigner.NewDialogCmd;
  OpenMI.Action := frxDesigner.OpenCmd;
  SaveMI.Action := frxDesigner.SaveCmd;
  SaveasMI.Action := frxDesigner.SaveAsCmd;
  PreviewMI.Action := frxDesigner.PreviewCmd;
  PageSettingsMI.Action := frxDesigner.PageSettingsCmd;

  UndoMI.Action := frxDesigner.UndoCmd;
  RedoMI.Action := frxDesigner.RedoCmd;
  CutMI.Action := frxDesigner.CutCmd;
  CopyMI.Action := frxDesigner.CopyCmd;
  PasteMI.Action := frxDesigner.PasteCmd;
  DeleteMI.Action := frxDesigner.DeleteCmd;
  DeletePageMI.Action := frxDesigner.DeletePageCmd;
  SelectAllMI.Action := frxDesigner.SelectAllCmd;
  GroupMI.Action := frxDesigner.GroupCmd;
  UngroupMI.Action := frxDesigner.UngroupCmd;
  EditMI.Action := frxDesigner.EditCmd;
  FindMI.Action := frxDesigner.FindCmd;
  ReplaceMI.Action := frxDesigner.ReplaceCmd;
  FindNextMI.Action := frxDesigner.FindNextCmd;
  BringtoFrontMI.Action := frxDesigner.BringToFrontCmd;
  SendtoBackMI.Action := frxDesigner.SendToBackCmd;

  DataMI.Action := frxDesigner.ReportDataCmd;
  VariablesMI.Action := frxDesigner.VariablesCmd;
  StylesMI.Action := frxDesigner.ReportStylesCmd;
  ReportOptionsMI.Action := frxDesigner.ReportOptionsCmd;

  ToolbarsMI.Action := frxDesigner.ToolbarsCmd;
  StandardMI.Action := frxDesigner.StandardTBCmd;
  TextMI.Action := frxDesigner.TextTBCmd;
  FrameMI.Action := frxDesigner.FrameTBCmd;
  AlignmentPaletteMI.Action := frxDesigner.AlignTBCmd;
  ObjectInspectorMI.Action := frxDesigner.InspectorTBCmd;
  DataTreeMI.Action := frxDesigner.DataTreeTBCmd;
  ReportTreeMI.Action := frxDesigner.ReportTreeTBCmd;
  RulersMI.Action := frxDesigner.ShowRulersCmd;
  GuidesMI.Action := frxDesigner.ShowGuidesCmd;
  AutoGuidesMI.Action := frxDesigner.AutoGuidesCmd;
  OptionsMI.Action := frxDesigner.OptionsCmd;

  HelpContentsMI.Action := frxDesigner.HelpContentsCmd;
  AboutFastReportMI.Action := frxDesigner.AboutCmd;
end;

procedure TForm1.ExitMIClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  frxReport1.Designer.Close;
end;

procedure TForm1.PageControl1Change(Sender: TObject);
begin
  if PageControl1.ActivePage = PreviewSheet then
    frxReport1.PrepareReport
end;

end.

